OpenFolder("Definitions")

--descriptions
CUSTOM_DESCRIPTIONS_INFO = {}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 150)] = {
{ Description = 'Aumenta Defesa em +200', Level = -1, Bold = 0, Color = 21 },
{ Description = 'Aumenta HP em +1500', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta Mana em +300', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta DanoMax em +150', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta DanoMin em +100', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta AttackSpeed em +10', Level = -1, Bold = 1, Color = 21 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 151)] = {
{ Description = 'Aumenta Defesa em +200', Level = -1, Bold = 0, Color = 21 },
{ Description = 'Aumenta HP em +1500', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta Mana em +300', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta DanoMax em +150', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta DanoMin em +100', Level = -1, Bold = 1, Color = 21 },
{ Description = 'Aumenta AttackSpeed em +10', Level = -1, Bold = 1, Color = 21 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 200)] = {
{ Description = 'Aumenta Defesa em +100', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2000', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +150', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +100', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +10', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 204)] = {
{ Description = 'Aumenta Defesa em +100', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2000', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +150', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +100', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +10', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 205)] = {
{ Description = 'Aumenta Defesa em +100', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2000', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +150', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +100', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +10', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 201)] = {
{ Description = 'Aumenta Defesa em +150', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2500', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +230', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +180', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +20', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 206)] = {
{ Description = 'Aumenta Defesa em +150', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2500', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +230', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +180', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +20', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 141)] = {
{ Description = '(100% chance de dropar 1 Ring ou Pendant Full)', Level = -1, Bold = 0, Color = 22 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 211)] = {
{ Description = '(30% chance de dropar 1 Chaos ou Life )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(40% chance de dropar 1 Soul ou Bless )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(20% chance de dropar 1 Creation )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(2% chance de dropar Jewel Skill  )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(2% chance de dropar Jewel Adicional  )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(1% chance de dropar Jewel Luck  )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(0.1% chance de dropar Armas Divine  )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(0.1% chance de dropar Itens BloodAngel Sealed )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(1% chance de dropar Pet Balrog  )', Level = -1, Bold = 0, Color = 23 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 143)] = {
{ Description = '(100% chance de dropar 1 Ancient Hero Soul)', Level = -1, Bold = 0, Color = 23 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 275)] = {
{ Description = 'Aumenta Defesa em +150', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2500', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +230', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +180', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +20', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 172)] = {
{ Description = '(40% chance de dropar Bundled Jewel of Soul )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(40% chance de dropar Bundled Jewel of Bless )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(20% chance de Condor Feather )', Level = -1, Bold = 0, Color = 23 },
{ Description = '(100% chance de dropar Sphere Mono  )', Level = -1, Bold = 0, Color = 23 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 134)] = {
{ Description = '(100% chance de dropar Kit Panda 15 dias )', Level = -1, Bold = 0, Color = 23 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 210)] = {
{ Description = 'Drop Comum(Bundled Jewel of Soul/Bless )', Level = -1, Bold = 0, Color = 23 },
{ Description = 'Drop Médio(Joias lucky/Armor/Weapon/skill/Level/Wing)', Level = -1, Bold = 0, Color = 23 },
{ Description = 'Drop Raríssimo(Asa/Capa Nocturn)', Level = -1, Bold = 0, Color = 23 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 144)] = {
{ Description = '           DROP - NPC MALUCO ESPECIAL          ', Level = -1, Bold = 0, Color = 22 },
{ Description = 'Drop Comum( Jewel of Soul/Bless/Chaos/Creation )', Level = -1, Bold = 0, Color = 24 },
{ Description = 'Drop Médio(Itens Classico Excelentes)', Level = -1, Bold = 0, Color = 24 },
{ Description = 'Drop Raro( Partes do Set Green M/F)', Level = -1, Bold = 0, Color = 24 },
{ Description = 'Drop Raríssimo(Itens Demonic Set/Armas)', Level = -1, Bold = 0, Color = 24 },
{ Description = 'Drop Ultra Raro(Asa/Capa/Pet Demonic)', Level = -1, Bold = 0, Color = 24 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 142)] = {
{ Description = '(100% chance de dropar 1 Seed Mono Pronta )', Level = -1, Bold = 0, Color = 23 },

}


CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 137)] = {
{ Description = '(100% chance de dropar Kit Panda 3 dias )', Level = -1, Bold = 0, Color = 23 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 197)] = {
{ Description = ' Item Usado para combinações de Brincos', Level = -1, Bold = 0, Color = 23 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 198)] = {
{ Description = ' Item Usado para Criação de Pets Muun ', Level = -1, Bold = 0, Color = 23 },

}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 276)] = {
{ Description = 'Aumenta Defesa em +100', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2000', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +150', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +100', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +10', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 274)] = {
{ Description = 'Aumenta Defesa em +100', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2000', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +150', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +100', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +10', Level = -1, Bold = 1, Color = 20 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(13, 278)] = {
{ Description = 'Aumenta Defesa em +150', Level = -1, Bold = 0, Color = 20 },
{ Description = 'Aumenta HP em +2500', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMax em +230', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta DanoMin em +180', Level = -1, Bold = 1, Color = 20 },
{ Description = 'Aumenta AttackSpeed em +20', Level = -1, Bold = 1, Color = 20 },
}



CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 212)] = {
{ Description = '           DROP HALLOWEN RED - HALLOWEN 2021        ', Level = -1, Bold = 0, Color = 25 },
{ Description = 'Drop Comum( Buffs Hallowen Dano/Defesa/AttackSpeed )', Level = -1, Bold = 0, Color = 26 },
{ Description = 'Drop Médio(Itens Classico Excelentes)', Level = -1, Bold = 0, Color = 26 },
{ Description = 'Drop Raro(Itens BloodVampire Armas/Sets de todas classes)', Level = -1, Bold = 0, Color = 26 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 213)] = {
{ Description = '           DROP HALLOWEN BLACK - HALLOWEN 2021        ', Level = -1, Bold = 0, Color = 28 },
{ Description = 'Drop Comum( Buffs Hallowen Dano/Defesa/AttackSpeed )', Level = -1, Bold = 0, Color = 27 },
{ Description = 'Drop Raro( Vampire Heart )', Level = -1, Bold = 0, Color = 27 },
}

CUSTOM_DESCRIPTIONS_INFO[GET_ITEM(14, 184)] = {
{ Description = ' ITEM PARA COMBINAÇÃO DE ASAS E CAPAS BLOODVAMPIRE ', Level = -1, Bold = 0, Color = 25 },

}

--[[
Create your custom descriptions!

createDescription(
line -> need put and increase line by line
text -> text you want print in item
color -> color of the text
bold -> 1 is bold 0 not
)
--]]


function createDescMacro(line, text, color, bold)
	createDescription(line, text, color, bold)
	line = line + 1
	return line
end

function SetDescriptions(line, ItemIndex, ItemObject)
	local description = CUSTOM_DESCRIPTIONS_INFO[ItemIndex]
	
	if description ~= nil
	then
		local itemInfo = Item.new(ItemObject)
		
		for i = 1, #description do
			local infos = description[i]
			
			if infos.Level == -1 or infos.Level == itemInfo:getLevel()
			then
				line = createDescMacro(line, infos.Description, infos.Color, infos.Bold)
			end
		end
		
		itemInfo = nil
		
		collectgarbage()
		return line
	end

	--example if you want create
	if ItemIndex == GET_ITEM(0, 22)
	then
		line = createDescMacro(line, "font normal", 9, 0)
		line = createDescMacro(line, "font bold", 7, 1)
		
		if (UserGetMap() == 0)
		then
			line = createDescMacro(line, "Buff no mapa lorencia", 1, 0)
		else
			line = createDescMacro(line, "Buff no mapa lorencia", 10, 0)
		end
		
		--line = createDescMacro(line, "Testando nova cor 20", 5, 0)
		line = createDescMacro(line, "Testando nova cor 21", 31, 0)
		line = createDescMacro(line, "Testando nova cor 22", 15, 0)
	end

	return line
end